Package be.ehealth.businessconnector.dmg.builders

# Class ResponseObjectBuilderFactory

java.lang.Object
be.ehealth.businessconnector.dmg.builders.ResponseObjectBuilderFactory

public final class ResponseObjectBuilderFactory extends Object
Factory for `ResponseObjectBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_RESPONSEBUILDER_CLASS`
  the name of the default implemention of the ResponseObjectBuilder.
  `static final String`
  `PROP_RESPONSEBUILDER_CLASS`
  property name which can be used to set an alternative implementation of the ResponseObjectBuilder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResponseObjectBuilder`
  `getResponseObjectBuilder()`
  Retrieves an instance of a `ResponseObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property "dmg.responseobjectbuilder.class").

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_RESPONSEBUILDER_CLASS

    public static final String PROP_RESPONSEBUILDER_CLASS
    property name which can be used to set an alternative implementation of the ResponseObjectBuilder.
    See Also:
      - Constant Field Values

  - ### DEFAULT_RESPONSEBUILDER_CLASS

    public static final String DEFAULT_RESPONSEBUILDER_CLASS
    the name of the default implemention of the ResponseObjectBuilder.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getResponseObjectBuilder

    public static ResponseObjectBuilder getResponseObjectBuilder() throws TechnicalConnectorException
    Retrieves an instance of a `ResponseObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property "dmg.responseobjectbuilder.class"). By default, it would be "be.ehealth.businessconnector.dmg.builders.impl.ResponseObjectBuilderImpl"
    Returns:
      `ResponseObjectBuilder` the instance of the `ResponseObjectBuilder`
    Throws:
      `TechnicalConnectorException`